#----------------------------------------------------------------------------
# /usr/local/bin/logrotate.sh - rotate logfiles
#
# Creation:     13.04.2003  gn
# Last Update:  13.04.2003  gn
#
# Copyright (c) 2003 Georg Neis <georg@fli4l.de>
#----------------------------------------------------------------------------

if [ -f /var/run/logrotate.cfg ]
then
    . /var/run/logrotate.cfg
else
    colecho "Error: 'logrotate.cfg' not found" rd >&2
    exit 1
fi

set $debug # -x or +x

if [ "$quantity" = 0 ]
then
    colecho "Error: LOGROTATE_RULE_N is 0" rd >&2
    exit 1
fi

idx=1
while [ "$idx" -le "$quantity" ]
do
    file=`eval echo '$file'$idx`
    count=`eval echo '$count'$idx`
    suffix=`eval echo '$suffix'$idx`

    idx=`expr $idx + 1`
    end=`date +"$suffix"`

    if [ -f "$file" ]
    then
        mv "$file" "${file}${end}"
    else
        colecho "Error: '$file' not found" rd >&2
    fi
   
    test -f /var/run/syslogd.pid && kill -1 `cat /var/run/syslogd.pid`
done

idx=1
while [ "$idx" -le "$quantity" ]
do
    file=`eval echo '$file'$idx`
    count=`eval echo '$count'$idx`
    suffix=`eval echo '$suffix'$idx`

    idx=`expr $idx + 1`
    end=`date +"$suffix"`

    case "$count"
    in
        0)  rm "${file}${end}"
            ;;
      inf)  ;;
        *)  number=`ls ${file}* | { i=0; while read line; do i=\`expr $i + 1\`; done; echo $i; }`
            if [ "$number" -gt "`expr $count + 1`" ]
            then
                ls -cr ${file}* | { while read line; do rm "$line"; break; done; }
            fi
            ;;
    esac
done

set +x
